Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi.management
Interface LifeCycleMBean

All Known Subinterfaces:
  ComponentLifeCycleMBean

public interface LifeCycleMBean

LifeCycleMBean is a base interface that defines standard life cycle controls for JBI implementation services (which are implementation-specific), and JBI components (bindings and engines).

Author:
  JSR208 Expert Group

Field Summary
`static java.lang.String` | `RUNNING` Value returned by `getCurrentState()` for a running component.
`static java.lang.String` | `SHUTDOWN` Value returned by `getCurrentState()` for a shutdown component.
`static java.lang.String` | `STOPPED` Value returned by `getCurrentState()` for a stopped component.
`static java.lang.String` | `UNKNOWN` Value returned by `getCurrentState()` for a component in an unknown state.

Method Summary
`java.lang.String` | `getCurrentState()` Get the current state of this managed compononent.
`void` | `shutDown()` Shut down the item.
`void` | `start()` Start the item.
`void` | `stop()` Stop the item.

Field Detail

### SHUTDOWN

    public static final java.lang.String SHUTDOWN

  Value returned by `getCurrentState()` for a shutdown component.

  See Also:
    Constant Field Values

### STOPPED

    public static final java.lang.String STOPPED

  Value returned by `getCurrentState()` for a stopped component.

  See Also:
    Constant Field Values

### RUNNING

    public static final java.lang.String RUNNING

  Value returned by `getCurrentState()` for a running component.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

  Value returned by `getCurrentState()` for a component in an unknown state.

  See Also:
    Constant Field Values

Method Detail

### start

    public void start()
               throws JBIException

  Start the item.

  Throws:
    `JBIException` - if the item fails to start.

### stop

    public void stop()
              throws JBIException

  Stop the item. This suspends current messaging activities.

  Throws:
    `JBIException` - if the item fails to stop.

### shutDown

    public void shutDown()
                  throws JBIException

  Shut down the item. This releases resources and returns the item to an uninitialized state.

  Throws:
    `JBIException` - if the item fails to shut down.

### getCurrentState

    public java.lang.String getCurrentState()

  Get the current state of this managed compononent.

  Returns:
    the current state of this managed component (must be one of the string constants defined by this interface)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.